## ssreflect 1.3pl2

=== test/Makefile ===
MAKEFLAGS := -r

.SUFFIXES:

.PHONY: clean all config tags install

COQMAKEFILE := Makefile.coq
COQMAKE := +$(MAKE) -f $(COQMAKEFILE)

all: $(COQMAKEFILE)
	$(COQMAKE) all

$(COQMAKEFILE) config:
	$(COQBIN)coq_makefile -f Make  -o $(COQMAKEFILE)

clean: $(COQMAKEFILE)
	$(COQMAKE) clean
	$(RM) -rf $(COQMAKEFILE)

tags:
	$(COQBIN)coqtags `find . -name \*.v`

install:

%: Makefile.coq
	$(COQMAKE) $@

## ssreflect 1.2+dfsg

=== debian/changelog ===
ssreflect (1.2+dfsg-6) unstable; urgency=low

  * Rebuild against OCaml 3.11.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Jul 2010 13:41:07 +0200

ssreflect (1.2+dfsg-5) unstable; urgency=low

  * Rebuild with Coq 8.2pl2
  * debian/control:
    - replace Conflicts by Breaks
    - bump Standards-Version to 3.9.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Jul 2010 15:19:10 +0200

ssreflect (1.2+dfsg-4) unstable; urgency=low

  * Rebuild with OCaml 3.11.2
  * Bump Standards-Version to 3.8.4 (no changes)
  * Update watch file

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Feb 2010 10:30:30 +0100

ssreflect (1.2+dfsg-3) unstable; urgency=low

  * debian/control:
    - add libssreflect-ocaml-dev binary package
    - put *ocaml* packages in ocaml section
    - libssreflect-ocaml enhances coq
  * Switch to dh-ocaml 0.9
  * Switch to format 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Dec 2009 17:30:57 +0100

ssreflect (1.2+dfsg-2) unstable; urgency=low

  * Use -R when invoking coq_makefile to avoid warnings and need of
    explicit exclusion of ssreflect path; set it to user-contrib/Ssreflect

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Sep 2009 19:18:26 +0200

ssreflect (1.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #508468)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Aug 2009 23:41:27 +0200

=== debian/control ===
Source: ssreflect
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 coq (>= 8.2.pl1+dfsg-4~),
 libcoq-ocaml-dev,
 dh-ocaml (>= 0.9~),
 camlp5 (>= 5.12-2~),
 ocaml-best-compilers,
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.9.0
Section: math
Homepage: http://www.msr-inria.inria.fr/Projects/math-components
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ssreflect.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ssreflect.git

Package: libssreflect-ocaml
Section: ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Enhances: coq
Provides: ${ocaml:Provides}
Description: small scale reflection extension for Coq (plugin)
 This package is part of Ssreflect, the small scale reflection
 extension for Coq. It provides a new tactic language, which promotes
 more structured, concise and robust proof scripts, and is in fact
 independent from the "reflection" proof style. It is implemented as a
 linkable extension to the Coq system.

Package: libssreflect-ocaml-dev
Section: ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libssreflect-ocaml (<< 1.2+dfsg-3~)
Breaks: libssreflect-ocaml (<< 1.2+dfsg-3~)
Provides: ${ocaml:Provides}
Description: small scale reflection extension for Coq (devt files)
 This package is part of Ssreflect, the small scale reflection
 extension for Coq. It provides the static native-code library, needed
 to build custom toplevels, and the compiled interface.

Package: libssreflect-coq
Architecture: all
Depends:
 libssreflect-ocaml (>= ${source:Version}),
 coq-${F:CoqABI},
 ${misc:Depends}
Provides: ssreflect
Description: small scale reflection library for Coq (theories)
 The name Ssreflect stands for "small scale reflection", a style of
 proof that evolved from the computer-checked proof of the Four Colour
 Theorem and which leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, in the Ssreflect library, arithmetic comparison is not an
 abstract predicate, but a function computing a boolean.
 .
 The Ssreflect distribution comprises two parts:
 * A new tactic language, which promotes more structured, concise and
   robust proof scripts, and is in fact independent from the "reflection"
   proof style. It is implemented as a linkable extension to the Coq
   system.
 * A set of Coq libraries that provide core "reflection-oriented"
   theories for basic combinatorics (roughly: arithmetic, lists, and
   finite sets).
 .
 This package installs the full Ssreflect distribution.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/coq/coqvars.mk
include /usr/share/ocaml/ocamlvars.mk

export COQTOP := $(COQ_STDLIB_DIR)
export COQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin/

%:
	+dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	coq_makefile -f Make -o Makefile -R src Ssreflect -R theories Ssreflect

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) all
	$(MAKE) html

.PHONY: override_dh_auto_install
override_dh_auto_install:

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -Rf Makefile html

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://www.msr-inria.inria.fr/Projects/math-components/index_html .*/ssreflect-(.*)\.tgz

## ssreflect 1.3pl1

=== debian/changelog ===
ssreflect (1.3pl1-5build1) precise; urgency=low

  * Rebuild for new OCaml library ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 12 Nov 2011 00:07:58 +0000

ssreflect (1.3pl1-5) unstable; urgency=low

  * Recompile with OCaml 3.12.1 (no changes)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Nov 2011 06:30:00 +0100

ssreflect (1.3pl1-4) unstable; urgency=low

  * Build theories only when explicitly asked (fixes FTBFS on armel as
    a side-effect)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 24 Apr 2011 14:44:33 +0200

ssreflect (1.3pl1-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Apr 2011 13:59:00 +0200

ssreflect (1.3pl1-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 31 Mar 2011 10:52:00 +0200

ssreflect (1.3-1) experimental; urgency=low

  * New upstream release, compatible with Coq 8.3:
    - remove 0001-Build-as-a-plugin.patch
    - add 0001-Fix-tests-Make.patch
    - this version is under CeCILL-B only; update debian/copyright
      accordingly
  * Bump Standards-Version to 3.9.1 (no changes)
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 15 Mar 2011 08:47:47 +0100

ssreflect (1.2+dfsg-7) unstable; urgency=low

  * Rebuild against camlp5 6.02.1
  * Bump versioned build-dependency to libcoq-ocaml-dev to ease camlp5
    transition

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Feb 2011 11:22:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
- coq (>= 8.2.pl1+dfsg-4~),
- libcoq-ocaml-dev,
+ coq (>= 8.3),
+ libcoq-ocaml-dev (>= 8.3),
  dh-ocaml (>= 0.9~),
  camlp5 (>= 5.12-2~),
  ocaml-best-compilers,
  ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Section: math
 Homepage: http://www.msr-inria.inria.fr/Projects/math-components
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ssreflect.git

## ssreflect 1.3pl2

=== debian/changelog ===
ssreflect (1.3pl2-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Nov 2011 07:16:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: ssreflect
-Priority: extra
+Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:

## ssreflect 1.3pl4

=== Makefile ===
# -j2 causes a bug in caml compiler, I believe while accessing/creating the
# same file in parallel 
MAKEFLAGS := -r #-j2

.SUFFIXES:

.PHONY: clean all tags install test

VERSION := $(shell grep 'let ssrversion' src/ssreflect.ml | cut -d \" -f 2)
COQMAKEFILE := Makefile.coq
COQMAKE := +$(MAKE) -f $(COQMAKEFILE)

all: $(COQMAKEFILE)
	mkdir -p bin
	$(COQMAKE) all

test:
	$(MAKE) -C test/ all

$(COQMAKEFILE): Make
	$(COQBIN)coq_makefile -f Make  > $(COQMAKEFILE)

tags:
	$(COQBIN)coqtags `find . -name \*.v`

install:
	$(COQMAKE) install

clean:
	$(MAKE) -C test/ clean
	-$(COQMAKE) clean
	rm -f $(COQMAKEFILE)
	rm -rf ssreflect-$(VERSION) ssreflect-$(VERSION).tar.gz
	rm -rf test-dist-static test-dist-dynamic

dist:
	# VERSION is computed reading src/ssreflect.ml, line let ssrversion
	rm -rf ssreflect-$(VERSION)
	svn export . ssreflect-$(VERSION)
	# files in the svn, but not meant to be part of the release
	rm ssreflect-$(VERSION)/description 
	rm ssreflect-$(VERSION)/src/Makefile
	rm ssreflect-$(VERSION)/NOTICE
	# checking for spurious or out of sync .v
	for X in ssreflect-$(VERSION)/theories/*.v; do\
	  if ! grep -q `basename $$X` ssreflect-$(VERSION)/Make; then\
	    echo "warning: `basename $$X` not listed in Make: removing it";\
	    rm $$X;\
	  fi;\
	  if ! diff $$X ../../`basename $$X` > /dev/null 2>&1; then\
	    echo "warning: theories/`basename $$X` and ../../`basename $$X`" \
	    	"differ";\
	  fi;\
	done
	# handling of NOTICE: All rights reserved -> released under XYZ
	for X in `find ssreflect-$(VERSION)/ -name \*.v -o -name \*.ml`; do\
		( head -1 $$X | grep -q 'All rights reserved' ) || \
			echo "warning: `basename $$X` with no reserved"\
		       		"copyrights";\
		sed -i -e '1rNOTICE' -e '/All rights reserved/D' $$X;\
	done
	# tarball + MANIFEST
	tar -cvf ssreflect-$(VERSION).tar ssreflect-$(VERSION)/ | \
	  sed 's/^[^\/]*\///' | grep -v '^$$' | grep -v '/$$' |\
	       	sort > MANIFEST
	mv MANIFEST ssreflect-$(VERSION)/MANIFEST
	tar -f ssreflect-$(VERSION).tar -r ssreflect-$(VERSION)/MANIFEST
	gzip -f9 ssreflect-$(VERSION).tar
	rm -rf ssreflect-$(VERSION)/

test-dist:
	rm -rf test-dist-static test-dist-dynamic
	mkdir test-dist-static
	mkdir test-dist-dynamic
	tar -xzf ssreflect-$(VERSION).tar.gz -C test-dist-static
	tar -xzf ssreflect-$(VERSION).tar.gz -C test-dist-dynamic
	sed -i 's/^#//' test-dist-static/ssreflect-$(VERSION)/Make
	make -C test-dist-static/ssreflect-$(VERSION) all test
	make -C test-dist-dynamic/ssreflect-$(VERSION) all test
	rm -rf test-dist-static test-dist-dynamic

=== debian/changelog ===
ssreflect (1.3pl4-1) unstable; urgency=low

  * New upstream release
  * Put debian/copyright in format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Jun 2012 09:35:40 +0200

ssreflect (1.3pl2-4) unstable; urgency=medium

  * Fix compilation with camlp5 6.05 and coq 8.3pl4

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Apr 2012 16:43:46 +0200

ssreflect (1.3pl2-3) unstable; urgency=low

  * Recompile with camlp5 6.04 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Mar 2012 08:29:13 +0100

ssreflect (1.3pl2-2) unstable; urgency=low

  * Rebuild with Coq 8.3pl3
    - cherry-pick patch from coq-contrib to fix FTBFS with Coq 8.3pl3

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Dec 2011 17:28:19 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  camlp5 (>= 5.12-2~),
  ocaml-best-compilers,
  ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: math
 Homepage: http://www.msr-inria.inria.fr/Projects/math-components
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ssreflect.git

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://www.msr-inria.inria.fr/Projects/math-components/index_html .*/ssreflect-(.*)\.t(?:ar\.)gz

## ssreflect 1.4

=== Makefile ===
--- 
+++ 
@@ -4,18 +4,15 @@
 
 .SUFFIXES:
 
-.PHONY: clean all tags install test
+.PHONY: clean all tags install
 
-VERSION := $(shell grep 'let ssrversion' src/ssreflect.ml | cut -d \" -f 2)
+VERSION := $(shell grep 'let ssrversion' src/ssreflect.ml4 | cut -d \" -f 2)
 COQMAKEFILE := Makefile.coq
 COQMAKE := +$(MAKE) -f $(COQMAKEFILE)
 
 all: $(COQMAKEFILE)
 	mkdir -p bin
 	$(COQMAKE) all
-
-test:
-	$(MAKE) -C test/ all
 
 $(COQMAKEFILE): Make
 	$(COQBIN)coq_makefile -f Make  > $(COQMAKEFILE)
@@ -27,7 +24,6 @@
 	$(COQMAKE) install
 
 clean:
-	$(MAKE) -C test/ clean
 	-$(COQMAKE) clean
 	rm -f $(COQMAKEFILE)
 	rm -rf ssreflect-$(VERSION) ssreflect-$(VERSION).tar.gz
@@ -36,11 +32,13 @@
 dist:
 	# VERSION is computed reading src/ssreflect.ml, line let ssrversion
 	rm -rf ssreflect-$(VERSION)
-	svn export . ssreflect-$(VERSION)
+	svn export . ssreflect-$(VERSION) || \
+		git archive --format tar HEAD . --prefix ssreflect-$(VERSION)/ | tar -x
 	# files in the svn, but not meant to be part of the release
 	rm ssreflect-$(VERSION)/description 
 	rm ssreflect-$(VERSION)/src/Makefile
 	rm ssreflect-$(VERSION)/NOTICE
+	rm -rf ssreflect-$(VERSION)/doc/ ssreflect-$(VERSION)/test/
 	# checking for spurious or out of sync .v
 	for X in ssreflect-$(VERSION)/theories/*.v; do\
 	  if ! grep -q `basename $$X` ssreflect-$(VERSION)/Make; then\
@@ -53,7 +51,7 @@
 	  fi;\
 	done
 	# handling of NOTICE: All rights reserved -> released under XYZ
-	for X in `find ssreflect-$(VERSION)/ -name \*.v -o -name \*.ml`; do\
+	for X in `find ssreflect-$(VERSION)/ -name \*.v -o -name \*.mli -o -name \*.ml4`; do\
 		( head -1 $$X | grep -q 'All rights reserved' ) || \
 			echo "warning: `basename $$X` with no reserved"\
 		       		"copyrights";\
@@ -75,6 +73,7 @@
 	tar -xzf ssreflect-$(VERSION).tar.gz -C test-dist-static
 	tar -xzf ssreflect-$(VERSION).tar.gz -C test-dist-dynamic
 	sed -i 's/^#//' test-dist-static/ssreflect-$(VERSION)/Make
-	make -C test-dist-static/ssreflect-$(VERSION) all test
-	make -C test-dist-dynamic/ssreflect-$(VERSION) all test
+	make -C test-dist-static/ssreflect-$(VERSION) all test & P1=$$!; \
+		make -C test-dist-dynamic/ssreflect-$(VERSION) all test & P2=$$!; \
+		wait $$P1 && wait $$P2
 	rm -rf test-dist-static test-dist-dynamic

=== debian/changelog ===
ssreflect (1.4-2) unstable; urgency=low

  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 13:36:48 +0200

ssreflect (1.4-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Sep 2012 16:45:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
- coq (>= 8.3),
- libcoq-ocaml-dev (>= 8.3),
+ debhelper (>= 8),
+ coq (>= 8.4),
+ libcoq-ocaml-dev (>= 8.4),
  dh-ocaml (>= 0.9~),
  camlp5 (>= 5.12-2~),
  ocaml-best-compilers,
  ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: math
 Homepage: http://www.msr-inria.inria.fr/Projects/math-components
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ssreflect.git

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://www.msr-inria.inria.fr/Projects/math-components/index_html .*/ssreflect-(.*)-.*\.t(?:ar\.)gz

## ssreflect 1.5~rc1

=== Makefile ===
COQMAKEFILE := Makefile.coq
COQMAKE := +$(MAKE) -f $(COQMAKEFILE)
ifneq "$(COQBIN)" ""
	COQBIN := $(COQBIN)/
endif

all: $(COQMAKEFILE)
	mkdir -p bin
	$(COQMAKE) all

$(COQMAKEFILE): Make
	$(COQBIN)coq_makefile -f Make > $(COQMAKEFILE)

install:
	$(COQMAKE) install

clean:
	-$(COQMAKE) clean
	rm -f $(COQMAKEFILE) bin

.PHONY: clean all install

=== debian/changelog ===
ssreflect (1.5~rc1-3) unstable; urgency=medium

  * Recompile with coq 8.4pl3
  * Bump Standards-Version to 3.9.5 (no changes)
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jan 2014 08:53:40 +0100

ssreflect (1.5~rc1-2) unstable; urgency=low

  * Upload to unstable
  * Update Homepage

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Dec 2013 08:28:06 +0100

ssreflect (1.5~rc1-1) experimental; urgency=low

  * New upstream release
  * Update Vcs-*
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Aug 2013 22:11:00 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/coq/coqvars.mk
include /usr/share/ocaml/ocamlvars.mk

export COQTOP := $(COQ_STDLIB_DIR)
export COQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin/

PACKAGES := $(shell dh_listpackages)

INSTALL_DIR := $(CURDIR)/debian/tmp/usr/lib/coq/user-contrib/Ssreflect

# The following must be kept in sync with d/libssreflect-ocaml*.install.in
PLUGIN_TARGETS := theories/ssreflect.cma
ifeq ($(OCAML_NATDYNLINK),yes)
  PLUGIN_TARGETS += theories/ssreflect.cmxs
endif
EXTRA_FILES := src/ssrmatching.cmi src/ssreflect.cmi

%:
	+dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:

# Building is done here because dh_listpackages is useless in the
# build target. Should be reconsidered when dpkg-buildpackage starts
# calling build-{arch,indep} targets (see #604397)
.PHONY: override_dh_auto_install
override_dh_auto_install:
ifeq ($(findstring libssreflect-coq,$(PACKAGES)),)
# Express build: only plugins
	$(MAKE) Makefile.coq
	$(MAKE) -f Makefile.coq $(PLUGIN_TARGETS)
	install -d $(INSTALL_DIR)
	install -m 644 $(PLUGIN_TARGETS) $(EXTRA_FILES) $(INSTALL_DIR)
else
# Full build
	$(MAKE)
	$(MAKE) install DSTROOT=$(CURDIR)/debian/tmp
	$(MAKE) -f Makefile.coq html
endif

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	rm -Rf bin

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -Rf html

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
http://ssr.msr-inria.inria.fr/FTP/ \
(?:|.*/)ssreflect(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## ssreflect 1.5

=== Makefile ===
--- 
+++ 
@@ -11,11 +11,21 @@
 $(COQMAKEFILE): Make
 	$(COQBIN)coq_makefile -f Make > $(COQMAKEFILE)
 
+doc:
+	PATH="$(COQBIN):$$PATH" \
+	     sh -c '. extra/builddoc_lib.sh; mangle_sources theories/*.v'
+	$(MAKE) all
+	PATH="$(COQBIN):$$PATH" TITLE="Ssreflect" MAKEDOT=extra/ \
+	COQOPTS="-R theories Ssreflect" \
+	MANGLEDOT="sed -i s?URL=\"./?URL=\"Ssreflect.?"\
+	      sh -c '. extra/builddoc_lib.sh; build_doc theories/*.v'
+	cp extra/*.css extra/*.png html/
+
 install:
 	$(COQMAKE) install
 
 clean:
 	-$(COQMAKE) clean
-	rm -f $(COQMAKEFILE) bin
+	rm -rf $(COQMAKEFILE) bin
 
 .PHONY: clean all install

=== debian/changelog ===
ssreflect (1.5-3build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 21:47:11 -0600

ssreflect (1.5-3) unstable; urgency=medium

  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 11:42:57 +0200

ssreflect (1.5-2) unstable; urgency=medium

  * Recompile with coq 8.4pl4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 30 Jul 2014 10:21:09 +0200

ssreflect (1.5-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Mar 2014 13:25:52 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  dh-ocaml (>= 0.9~),
  camlp5 (>= 5.12-2~),
  ocaml-best-compilers,
- ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.4
+ ocaml-nox (>= 4)
+Standards-Version: 3.9.5
 Section: math
-Homepage: http://www.msr-inria.inria.fr/Projects/math-components
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ssreflect.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ssreflect.git
+Homepage: http://www.msr-inria.fr/projects/mathematical-components/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ssreflect.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ssreflect.git
 
 Package: libssreflect-ocaml
 Section: ocaml

## ssreflect 1.6

=== debian/changelog ===
ssreflect (1.6-1) unstable; urgency=medium

  * Adding myself as co-maintainer.
  * Update upstream version to 1.6

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 30 Aug 2016 16:02:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ssreflect
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>
+Uploaders: Stéphane Glondu <glondu@debian.org>, Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends:
  debhelper (>= 8),
  coq (>= 8.4),
@@ -12,7 +12,7 @@
  ocaml-nox (>= 4)
 Standards-Version: 3.9.5
 Section: math
-Homepage: http://www.msr-inria.fr/projects/mathematical-components/
+Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ssreflect.git
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ssreflect.git
 
@@ -53,7 +53,7 @@
  libssreflect-ocaml (>= ${source:Version}),
  coq-${F:CoqABI},
  ${misc:Depends}
-Provides: ssreflect
+Provides: ssreflect, libmathcomp-coq
 Description: small scale reflection library for Coq (theories)
  The name Ssreflect stands for "small scale reflection", a style of
  proof that evolved from the computer-checked proof of the Four Colour
@@ -69,8 +69,7 @@
    robust proof scripts, and is in fact independent from the "reflection"
    proof style. It is implemented as a linkable extension to the Coq
    system.
- * A set of Coq libraries that provide core "reflection-oriented"
-   theories for basic combinatorics (roughly: arithmetic, lists, and
-   finite sets).
+ * A comprehensive set of Coq libraries covering topics as combinatorics
+   and algebra.
  .
  This package installs the full Ssreflect distribution.

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,14 @@
 
 PACKAGES := $(shell dh_listpackages)
 
-INSTALL_DIR := $(CURDIR)/debian/tmp/usr/lib/coq/user-contrib/Ssreflect
+INSTALL_DIR := $(CURDIR)/debian/tmp/usr/lib/coq/user-contrib/mathcomp
 
 # The following must be kept in sync with d/libssreflect-ocaml*.install.in
-PLUGIN_TARGETS := theories/ssreflect.cma
+PLUGIN_TARGETS := ssreflect.cma
 ifeq ($(OCAML_NATDYNLINK),yes)
-  PLUGIN_TARGETS += theories/ssreflect.cmxs
+  PLUGIN_TARGETS += ssreflect.cmxs
 endif
-EXTRA_FILES := src/ssrmatching.cmi src/ssreflect.cmi
+EXTRA_FILES := ssrmatching.cmi ssreflect.cmi
 
 %:
 	+dh $@ --with ocaml
@@ -31,15 +31,17 @@
 override_dh_auto_install:
 ifeq ($(findstring libssreflect-coq,$(PACKAGES)),)
 # Express build: only plugins
-	$(MAKE) Makefile.coq
-	$(MAKE) -f Makefile.coq $(PLUGIN_TARGETS)
+	$(MAKE) -C mathcomp Makefile.coq
+	$(MAKE) -C mathcomp -f Makefile.coq $(PLUGIN_TARGETS)
 	install -d $(INSTALL_DIR)
-	install -m 644 $(PLUGIN_TARGETS) $(EXTRA_FILES) $(INSTALL_DIR)
+	cd mathcomp; \
+		install -m 644 $(PLUGIN_TARGETS) $(EXTRA_FILES) $(INSTALL_DIR)
 else
 # Full build
-	$(MAKE)
-	$(MAKE) install DSTROOT=$(CURDIR)/debian/tmp
-	$(MAKE) -f Makefile.coq html
+	$(MAKE) -C mathcomp
+	$(MAKE) -C mathcomp install DSTROOT=$(CURDIR)/debian/tmp
+	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/libssreflect-coq/html
+	cp -r htmldoc $(CURDIR)/debian/tmp/html
 endif
 
 .PHONY: override_dh_install

## ssreflect 1.6.1

=== etc/Makefile ===
VERSION=$(shell git symbolic-ref --short HEAD | cut -d / -f 2)

dist:
	cd ..; git archive --format tar --prefix mathcomp-$(VERSION)/\
	       -o mathcomp-$(VERSION).tar HEAD
	cd ..; gzip -f -9 mathcomp-$(VERSION).tar

=== htmldoc/Makefile ===
H=@

ifeq "$(COQBIN)" ""
COQBIN=$(dir $(shell which coqtop))/
endif

SRC=$(shell cd ../mathcomp; ls */*.v | grep -v ssrtest/ | grep -v attic/)
HEAD=$(shell git symbolic-ref HEAD)
ifeq "$(HEAD)" "refs/heads/master"
LAST=$(shell git tag -l --sort=v:refname "mathcomp-*" | tail -n 1)
RELEASED=$(shell git show $(LAST):mathcomp/Make | grep 'v *$$' | cut -d / -f 2 | cut -d . -f 1)
endif

all:
	$(H) git diff-index --quiet HEAD ||\
		(echo error: uncommitted files; exit 1)
	$(H) cd ../mathcomp;\
		$(COQBIN)/coqdep -R . mathcomp $(SRC) 2>/dev/null |\
			grep -v vio: > ../htmldoc/depend
	$(H) cat depend | ./buildlibgraph cytoscape $(RELEASED) > depend.js
	$(H) . ../etc/utils/builddoc_lib.sh; \
		cd ../mathcomp; mangle_sources $(SRC)
	$(H) make -C ../mathcomp clean
	$(H) make -C ../mathcomp -j2
	$(H) cd ../mathcomp; $(COQBIN)/coqdoc -t "Mathematical Components"\
	       	-g --utf8 -R . mathcomp \
        	--parse-comments \
		--multi-index $(SRC) -d ../htmldoc/
	$(H) cp ../etc/artwork/coqdoc.css .
	$(H) cd ../mathcomp; git checkout $(SRC)

=== mathcomp/Makefile ===
H=@

ifeq "$(COQBIN)" ""
COQBIN=$(dir $(shell which coqtop))/
endif

# this sets variable V
include ssreflect/Makefile.detect-coq-version
# this defined coqmakefile
include ssreflect/Makefile.coq-makefile

ifeq "$V" "v8.4"
COQDEP=../etc/utils/ssrcoqdep
else
COQDEP=$(COQBIN)coqdep
endif

OLD_MAKEFLAGS:=$(MAKEFLAGS)
MAKEFLAGS+=-B

.DEFAULT_GOAL := all

%:
	$(H)[ -e Makefile.coq ] || $(call coqmakefile,ssreflect)
	# Override COQDEP to find only the "right" copy .ml files
	$(H)MAKEFLAGS=$(OLD_MAKEFLAGS) $(MAKE) --no-print-directory \
		-f Makefile.coq $* \
		COQDEP='$(COQDEP) -exclude-dir plugin -c'

clean:
	$(H)MAKEFLAGS=$(OLD_MAKEFLAGS) $(MAKE) --no-print-directory \
		-f Makefile.coq clean
	$(H)rm -f Makefile.coq

=== mathcomp/algebra/Makefile ===
H=@

ifeq "$(COQBIN)" ""
COQBIN=$(dir $(shell which coqtop))/
endif

BRANCH_coq = $(shell $(COQBIN)/coqtop -v | head -1 | sed 's/.*version \([0-9]\.[0-9]\)[^ ]* .*/v\1/')

HASH_coq = $(shell echo Quit. | $(COQBIN)/coqtop 2>&1 | head -1 | sed 's/^.*(\([a-f0-9]*\)).*/\1/' )

HASH_coq_v85beta1 = eaa3d0b15adf4eb11ffb00ab087746a5b15c4d5d


ifeq "$(HASH_coq)" "$(HASH_coq_v85beta1)"
V=v8.5beta1
else
V=$(BRANCH_coq)
endif

ifeq "$V" "v8.4"
COQDEP=../../etc/utils/ssrcoqdep
else
COQDEP=$(COQBIN)/coqdep
endif

OLD_MAKEFLAGS:=$(MAKEFLAGS)
MAKEFLAGS+=-B

.DEFAULT_GOAL := all

%:
	$(H)[ -e Makefile.coq ] || $(COQBIN)/coq_makefile -f Make -o Makefile.coq
	$(H)MAKEFLAGS=$(OLD_MAKEFLAGS) $(MAKE) --no-print-directory \
		-f Makefile.coq $* \
		COQDEP='$(COQDEP) -c'

.PHONY: clean
clean:
	$(H)MAKEFLAGS=$(OLD_MAKEFLAGS) $(MAKE) --no-print-directory \
		-f Makefile.coq clean
	$(H)rm -f Makefile.coq

=== mathcomp/ssreflect/Makefile ===
H=@

ifeq "$(COQBIN)" ""
COQBIN=$(dir $(shell which coqtop))/
endif

# this sets variable V
include Makefile.detect-coq-version
# this defined coqmakefile
include Makefile.coq-makefile

ifeq "$V" "v8.4"
COQDEP=../../etc/utils/ssrcoqdep
else
COQDEP=$(COQBIN)coqdep
endif

OLD_MAKEFLAGS:=$(MAKEFLAGS)
MAKEFLAGS+=-B

.DEFAULT_GOAL := all

%:
	$(H)[ -e Makefile.coq ] || $(call coqmakefile,.)
	# Override COQDEP to find only the "right" copy .ml files
	$(H)MAKEFLAGS=$(OLD_MAKEFLAGS) $(MAKE) --no-print-directory \
		-f Makefile.coq $* \
		COQDEP='$(COQDEP) -exclude-dir plugin -c'

clean:
	$(H)MAKEFLAGS=$(OLD_MAKEFLAGS) $(MAKE) --no-print-directory \
		-f Makefile.coq clean
	$(H)rm -f Makefile.coq

=== debian/changelog ===
ssreflect (1.6.1-3build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:41:34 +0200

ssreflect (1.6.1-3) unstable; urgency=medium

  * Recompile with OCaml 4.05.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Oct 2017 10:43:03 +0200

ssreflect (1.6.1-2) unstable; urgency=medium

  * Fix build-arch target 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 30 Dec 2016 11:39:11 +0100

ssreflect (1.6.1-1) unstable; urgency=medium

  * New upstream release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 27 Dec 2016 16:10:53 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>, Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends:
  debhelper (>= 8),
- coq (>= 8.4),
+ coq (>= 8.6),
  libcoq-ocaml-dev (>= 8.4),
  dh-ocaml (>= 0.9~),
  camlp5 (>= 5.12-2~),

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,11 @@
 INSTALL_DIR := $(CURDIR)/debian/tmp/usr/lib/coq/user-contrib/mathcomp
 
 # The following must be kept in sync with d/libssreflect-ocaml*.install.in
-PLUGIN_TARGETS := ssreflect.cma
+PLUGIN_TARGETS := ssreflect_plugin.cmo
 ifeq ($(OCAML_NATDYNLINK),yes)
-  PLUGIN_TARGETS += ssreflect.cmxs
+  PLUGIN_TARGETS += ssreflect_plugin.cmxs
 endif
-EXTRA_FILES := ssrmatching.cmi ssreflect.cmi
+EXTRA_FILES := ssreflect.cmi ssreflect_plugin.cmi
 
 %:
 	+dh $@ --with ocaml

## ssreflect 1.7.0+dfsg

=== mathcomp/Makefile ===
H=@

ifeq "$(COQBIN)" ""
COQBIN=$(dir $(shell which coqtop))/
endif

# this sets variable V
include ssreflect/Makefile.detect-coq-version
# this defined coqmakefile
include ssreflect/Makefile.coq-makefile

COQDEP=$(COQBIN)coqdep

OLD_MAKEFLAGS:=$(MAKEFLAGS)
MAKEFLAGS+=-B

.DEFAULT_GOAL := all

%:
	$(H)[ -e Makefile.coq ] || $(call coqmakefile,ssreflect)
	# Override COQDEP to find only the "right" copy .ml files
	$(H)MAKEFLAGS="$(OLD_MAKEFLAGS)" $(MAKE) --no-print-directory \
		-f Makefile.coq $* \
		COQDEP='$(COQDEP) -exclude-dir plugin -c'

clean: 
	$(H)[ -e Makefile.coq ] || $(call coqmakefile,ssreflect)
	$(H)MAKEFLAGS="$(OLD_MAKEFLAGS)" $(MAKE) --no-print-directory \
		-f Makefile.coq clean
	$(H)rm -f Makefile.coq

=== docs/htmldoc/Makefile ===
H=@

ifeq "$(COQBIN)" ""
COQBIN=$(dir $(shell which coqtop))/
endif

SRC=$(shell grep 'v *$$' ../../mathcomp/Make)

all:
	$(H) git diff-index HEAD ||\
		(echo error: uncommitted files; exit 1)
	$(H) cd ../../mathcomp;\
		$(COQBIN)/coqdep -R . mathcomp $(SRC) 2>/dev/null |\
			grep -v vio: > ../docs/htmldoc/depend
	$(H) cat depend | ./buildlibgraph cytoscape $(SRC) > depend.js
	$(H) . ../../etc/utils/builddoc_lib.sh; \
		cd ../../mathcomp; mangle_sources $(SRC)
	$(H) make -C ../../mathcomp clean
	$(H) make -C ../../mathcomp -j2
	$(H) cd ../../mathcomp; \
		$(COQBIN)/coqdoc -t "Mathematical Components"\
	       	-g --utf8 -R . mathcomp \
        	--parse-comments \
		--multi-index $(SRC) -d ../docs/htmldoc/
	$(H) cp ../../etc/artwork/coqdoc.css .
	$(H) cd ../../mathcomp; git checkout $(SRC)

=== mathcomp/algebra/Makefile ===
H=@

ifeq "$(COQBIN)" ""
COQBIN=$(dir $(shell which coqtop))/
endif

COQDEP=$(COQBIN)/coqdep
OLD_MAKEFLAGS:=$(MAKEFLAGS)
MAKEFLAGS+=-B

.DEFAULT_GOAL := all

%:
	$(H)[ -e Makefile.coq ] || $(COQBIN)/coq_makefile -f Make -o Makefile.coq
	$(H)MAKEFLAGS="$(OLD_MAKEFLAGS)" $(MAKE) --no-print-directory \
		-f Makefile.coq $* \
		COQDEP='$(COQDEP) -c'

.PHONY: clean
clean:
	$(H)MAKEFLAGS="$(OLD_MAKEFLAGS)" $(MAKE) --no-print-directory \
		-f Makefile.coq clean
	$(H)rm -f Makefile.coq

=== mathcomp/all/Makefile ===
H=@

ifeq "$(COQBIN)" ""
COQBIN=$(dir $(shell which coqtop))/
endif

OLD_MAKEFLAGS:=$(MAKEFLAGS)
MAKEFLAGS+=-B

.DEFAULT_GOAL := all

%:
	$(H)[ -e Makefile.coq ] || $(COQBIN)/coq_makefile -f Make -o Makefile.coq
	$(H)MAKEFLAGS="$(OLD_MAKEFLAGS)" $(MAKE) --no-print-directory \
		-f Makefile.coq $*

.PHONY: clean
clean:
	$(H)MAKEFLAGS="$(OLD_MAKEFLAGS)" $(MAKE) --no-print-directory \
		-f Makefile.coq clean
	$(H)rm -f Makefile.coq

=== mathcomp/field/Makefile ===
H=@

ifeq "$(COQBIN)" ""
COQBIN=$(dir $(shell which coqtop))/
endif

COQDEP=$(COQBIN)/coqdep

OLD_MAKEFLAGS:=$(MAKEFLAGS)
MAKEFLAGS+=-B

.DEFAULT_GOAL := all

%:
	$(H)[ -e Makefile.coq ] || $(COQBIN)/coq_makefile -f Make -o Makefile.coq
	$(H)MAKEFLAGS="$(OLD_MAKEFLAGS)" $(MAKE) --no-print-directory \
		-f Makefile.coq $* \
		COQDEP='$(COQDEP) -c'

.PHONY: clean
clean:
	$(H)MAKEFLAGS="$(OLD_MAKEFLAGS)" $(MAKE) --no-print-directory \
		-f Makefile.coq clean
	$(H)rm -f Makefile.coq

=== mathcomp/ssreflect/Makefile ===
H=@

ifeq "$(COQBIN)" ""
COQBIN=$(dir $(shell which coqtop))/
endif

# this sets variable V
include Makefile.detect-coq-version
# this defined coqmakefile
include Makefile.coq-makefile

COQDEP=$(COQBIN)coqdep

OLD_MAKEFLAGS:=$(MAKEFLAGS)
MAKEFLAGS+=-B

.DEFAULT_GOAL := all

%:
	$(H)[ -e Makefile.coq ] || $(call coqmakefile,.)
	$(H)MAKEFLAGS="$(OLD_MAKEFLAGS)" $(MAKE) --no-print-directory \
		-f Makefile.coq $* \
		COQDEP='$(COQDEP) -exclude-dir plugin -c'

clean:
	$(H)MAKEFLAGS="$(OLD_MAKEFLAGS)" $(MAKE) --no-print-directory \
		-f Makefile.coq clean
	$(H)rm -f Makefile.coq

## ssreflect 1.9.0+dfsg

=== debian/changelog ===
ssreflect (1.9.0+dfsg-2) unstable; urgency=medium

  * Recompile with OCaml 4.08.1

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Nov 2019 10:26:00 +0100

ssreflect (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    Repack upstream (remove docs/htmldoc/js/ and docs/javascripts/).
  * Build-depends: minimal coq version 8.7, according to opam file.
  * Standards-Version 4.4.0 (no change)
  * debian/libssreflect-coq.docs: ChangeLog => CHANGELOG.md

 -- Ralf Treinen <treinen@debian.org>  Tue, 20 Aug 2019 09:47:51 +0200

ssreflect (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version. This fixes a FTBFS with coq 8.9.0 (closes: #919461)
    Repack upstream (remove docs/htmldoc/js/)
  * Update debian/watch to github
  * Update Vcs-* to salsa
  * Standards-Version 4.3.0
    - https in format string of debian/copyright
  * d/rules: fix installation of htmldocs
  * Drop packages libssreflect-ocaml[-dev] as the plugin is now included in
    the coq package.
  * d/libssreflect-coq.docs: adjust pathnames of files
  * d/copyright: drop short paragraph at first occurrence of CeCILL-B
  * Build-depend on debhelper-compat (=12)
    - use dh_missing (instead of dh_install) with --fail-missing
  * No more compilation with ocaml:
    - dropped build-dependencies on ocaml stuff
    - dropped --with-ocaml flag to dh and usage of ocamlvars.mk
  * Updated short and long description. Thanks to Enrico Tassi.
  * Added an as-installed test, thanks again to Enrico Tassi.
  * Added myself as Uploader.

 -- Ralf Treinen <treinen@debian.org>  Sat, 16 Feb 2019 20:06:49 +0100

=== debian/control ===
Source: ssreflect
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>,
 Enrico Tassi <gareuselesinge@debian.org>,
 Ralf Treinen <treinen@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 coq (>= 8.7)
Standards-Version: 4.4.0
Section: math
Homepage: https://math-comp.github.io/math-comp/
Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect
Vcs-Git: https://salsa.debian.org/ocaml-team/ssreflect.git

Package: libssreflect-coq
Architecture: all
Depends:
 libcoq-ocaml,
 coq-${F:CoqABI},
 ${misc:Depends}
Provides: ssreflect, libmathcomp-coq
Description: Mathematical Components library for Coq
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the full Mathematical Components library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/coq/coqvars.mk

export COQTOP := $(COQ_STDLIB_DIR)
export COQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin/

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) -C mathcomp

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) -C mathcomp install DSTROOT=$(CURDIR)/debian/tmp

.PHONY: override_dh_missing
override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

## ssreflect 1.10.0+dfsg

=== debian/changelog ===
ssreflect (1.10.0+dfsg-2) unstable; urgency=medium

  * Rebuild against coq 8.11.0
  * Standards-version 4.5.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 06 Mar 2020 21:43:51 +0100

ssreflect (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * gbp.conf: update import filter
  * debian/rules: explicit targets to make: all, doc
  * debian/libssreflect-coq.docs: doc now built in mathcomp/_build_doc/htmldoc/
  * Add lintian-overrides for doc files whose filenames contain wildcards
  * Standards-Version 4.4.1 (no change)
  * Add build-dependency on lua

 -- Ralf Treinen <treinen@debian.org>  Thu, 05 Dec 2019 23:06:05 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
- coq (>= 8.7)
-Standards-Version: 4.4.0
+ coq (>= 8.7),
+ lua5.1
+Standards-Version: 4.5.0
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
-	$(MAKE) -C mathcomp
+	$(MAKE) -C mathcomp all doc
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:

=== debian/tests/control ===
Tests: loadssreflect
Depends: @, coq

## ssreflect 1.11.0

=== debian/changelog ===
ssreflect (1.11.0-2build1) hirsute; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Nov 2020 12:22:03 +0100

ssreflect (1.11.0-2) unstable; urgency=medium

  * Recompile with OCaml 4.11.1 (Closes: #973721)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Nov 2020 07:25:54 +0100

ssreflect (1.11.0-1) unstable; urgency=medium

  * New upstream release
  * Debhelper compatibility level 13:
    -drop override of dh_missing which is no longer needed
  * Set Rules-Requires-Root to no

 -- Ralf Treinen <treinen@debian.org>  Fri, 11 Sep 2020 08:32:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
  Enrico Tassi <gareuselesinge@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  coq (>= 8.7),
  lua5.1
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Section: math
 Homepage: https://math-comp.github.io/math-comp/

## ssreflect 1.12.0

=== debian/changelog ===
ssreflect (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update test loadssreflect.
  * Standards-version 4.5.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 02 Jan 2021 15:39:29 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  coq (>= 8.7),
  lua5.1
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,6 @@
 override_dh_auto_install:
 	$(MAKE) -C mathcomp install DSTROOT=$(CURDIR)/debian/tmp
 
-.PHONY: override_dh_missing
-override_dh_missing:
-	dh_missing --fail-missing
-
 .PHONY: override_dh_gencontrol
 override_dh_gencontrol:
 	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)(rc\d*)$/$1~$2/,dversionmangle=s/\+dfsg$// \
https://github.com/math-comp/math-comp/releases .*/mathcomp-([0-9.]*).tar\.gz

## ssreflect 1.13.0

=== debian/changelog ===
ssreflect (1.13.0-2) unstable; urgency=medium

  * Source-only upload to trigger rebuild. (Closes: #1003797)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 08:57:04 +0100

ssreflect (1.13.0-1) unstable; urgency=medium

  * Remove E.Tassi from uploaders (Closes: #995558).
  * Add myself as uploader.
  * New upstream release.
  * Bump standards-version to 4.6.0.
  * Update d/copyright to upstream (dropped javascript files).
  * Bump d/watch to version 4.
  * Complete the libssreflect-coq lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Nov 2021 17:25:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
- Enrico Tassi <gareuselesinge@debian.org>,
- Ralf Treinen <treinen@debian.org>
+           Julien Puydt <jpuydt@debian.org>,
+           Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  coq (>= 8.7),
  lua5.1
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect
